Package de.willuhn.jameica.hbci.synchronize.hbci

# Class HBCISynchronizeBackend.HBCIJobGroup

java.lang.Object
AbstractSynchronizeBackend<HBCISynchronizeJobProvider>.de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend.JobGroup
de.willuhn.jameica.hbci.synchronize.hbci.HBCISynchronizeBackend.HBCIJobGroup

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  `HBCISynchronizeBackend`

protected class HBCISynchronizeBackend.HBCIJobGroup extends AbstractSynchronizeBackend<HBCISynchronizeJobProvider>.JobGroup implements Closeable
Hilfsklasse, um die Jobs nach Konten zu gruppieren.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend.JobGroup

`jobs`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Schliesst die waehrend der Ausfuehrung geoeffneten Ressourcen.
`protected void`
`sync()`
Fuehrt die Synchronisierung fuer die Job-Gruppe aus.

### Methods inherited from class de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend.JobGroup

`checkInterrupted, getKonto`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### sync

protected void sync() throws Exception
Description copied from class: `AbstractSynchronizeBackend.JobGroup`
Fuehrt die Synchronisierung fuer die Job-Gruppe aus.

Specified by:
  `sync` in class `AbstractSynchronizeBackend<HBCISynchronizeJobProvider>.JobGroup`
Throws:
  `Exception`

### close

public void close() throws IOException
Schliesst die waehrend der Ausfuehrung geoeffneten Ressourcen.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`